class CreateLangArticles < ActiveRecord::Migration[6.0]
  def change
    create_table :lang_articles do |t|
  		t.datetime :published_at
		
      t.string :title
  		
  		t.string :slug

  		t.text :description
      t.text :keywords
  		t.boolean :enabled
  		t.references :image_file
      t.boolean :title_cached
  		t.string :tags_cache
  		t.string :tags_cache_slug
      
      t.references :lang_site
      t.references :article

      t.timestamps null: false
    end
  end
end
